function skill079()

	for se=1,7,1 do
		if battle.CheckNpcPlace(se)==0 then
		local tid=battle.GetPlaceNpcID(se)
		    if battle.CheckNpcStat(tid,7)==1 or battle.CheckNpcStat(tid,5)==1 then
		
			local a=battle.GetRndNumber(1,100)
			if battle.CheckPlayerStat(8,702)==1 then
	           jt=6
	        else
	           jt=3
	        end
			
			if a>=1 and a<=jt then
				local noid=npc.GetTemplateID(tid)
				if noid~=6000 and noid~=6012 and noid~=6013 and noid~=6022 and noid~=6023 and noid~=6024 and noid~=6025 then
					battle.MakeNpcQueueEnd(tid)
					npc.CreateSE(tid,3908)
				end
			end
			end
		end
	end
	
		local pid=battle.GetActingPlayerID()
		player.AddStat(0,pid,100,3,3)

end